
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Azure blob Storage Snapshot / 憋错料</title>

    <meta name="description" content="Azure blob Storage Snapshot 用户虚拟机硬盘的备份是客户在部署云应用中是一个非常重要的部分. 目前有多种平台的备份方法: 捕获镜像:可以采用Capture的方式(powershell命令为Save-AzureVMImage)捕获虚拟机系统盘和数据盘.但这种方式占用空间太大,而且Capture的Image数量也是有数量限制的.所以不是优选的方案. 复制硬盘vhd文件:通过AzCopy的方式,把VM的vhd复制到部分的blob的container中.这种方式也是占用空间大.不适合大规模的备份,只适合灾备时的使用. 对Blob的v">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Azure blob Storage Snapshot</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>用户虚拟机硬盘的备份是客户在部署云应用中是一个非常重要的部分。</p>
<p>目前有多种平台的备份方法：</p>
<ol>
<li>捕获镜像：可以采用Capture的方式(powershell命令为Save-AzureVMImage)捕获虚拟机系统盘和数据盘。但这种方式占用空间太大，而且Capture的Image数量也是有数量限制的。所以不是优选的方案。</li>
<li>复制硬盘vhd文件：通过AzCopy的方式，把VM的vhd复制到部分的blob的container中。这种方式也是占用空间大。不适合大规模的备份，只适合灾备时的使用。</li>
<li>对Blob的vhd文件snapshot：通过blob snapshot功能对VM的vhd文件进行blob snapshot。这种方式节省空间，操作方便，是虚拟机进行备份的非常好的一种方式。</li>
</ol>
<p>Azure的Snapshot是按照实际使用空间进行计费的。由于Snapshot遵循"写时复制"的方式，如果Base Blob的内容不发生变化，Snapshot里是没有内容的，只有Base Blob发生变化时，Snapshot会把Base Blob中老的内容复制过来。</p>
<p>具体的计费方式如下：</p>
<p>情况一: 如果Snapshot的内容和Base Blob的内容相同，收费只收Base Blob的费用（3个单元）。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzgwMDgyMi8yMDE2MDEvODAwODIyLTIwMTYwMTIxMTUzMzA1MDkzLTk4NDg4MTQ5LnBuZw==.jpg" /></p>
<p>情况二：如果Base Blob中的CCC内容发生更新，Snapshot会复制Base Blob中老的CCC部分。收费将收4个单元</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzgwMDgyMi8yMDE2MDEvODAwODIyLTIwMTYwMTIxMTUzMzA3MDkzLTI1NTM1MDU4Ny5wbmc=.jpg" /></p>
<p>情况三：如果Base Blob中的CCC内容删除，增加了DDD，Snapshot中会复制Base Blob中老的CCC部分。收费将收4个单元</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzgwMDgyMi8yMDE2MDEvODAwODIyLTIwMTYwMTIxMTUzMzA4OTM3LTE1OTk5NzkxNTUucG5n.jpg" /></p>
<p>情况四：多个blob块出现更改，多个snapshot，按照实际的用量进行计费。图中的计费单元为8个</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzgwMDgyMi8yMDE2MDEvODAwODIyLTIwMTYwMTIxMTUzMzEwODEyLTM4NjE4MzEwNS5wbmc=.jpg" /></p>
<p>具体的blob snapshot的实现有三个部分：1.创建；2.删除超过xx天的snapshot；3.恢复snapshot。本文将介绍这三个功能的脚本：</p>
<ol>
<li>创建Snapshot：</li>
</ol>
<p>$storageaccounts = Get-AzureStorageAccount</p>
<p>foreach ($storageaccount in $storageaccounts)</p>
<p>{</p>
<p>Set-AzureSubscription -SubscriptionName xxxx -CurrentStorageAccountName $storageaccount.StorageAccountName</p>
<p>$pageblobs = Get-AzureStorageBlob -Container vhds | Where-Object {$_.Name -match ".vhd"}</p>
<p>foreach ($blob in $pageblobs)</p>
<p>{</p>
<p>if(!$blob.ICloudBlob.IsSnapshot)</p>
<p>{</p>
<p>}</p>
<p>}</p>
<p>}</p>
<ol>
<li>删除超过14天的Snapshot</li>
</ol>
<p>$storageaccounts = Get-AzureStorageAccount</p>
<p>foreach($storageaccount in $storageaccounts)</p>
<p>{</p>
<p>$pageblobs = Get-AzureStorageBlob -Container vhds | Where-Object {$_.Name -match ".vhd"}</p>
<p>$now = Get-Date</p>
<p>foreach($pageblob in $pageblobs)</p>
<p>{</p>
<p>$diff = [datetime]::FromBinary($now.Ticks-$pageblob.SnapshotTime.Ticks)</p>
<p>if($pageblob.ICloudBlob.IsSnapshot)</p>
<p>{</p>
<p>if ( $diff.dayofyear -ge 14)</p>
<p>{</p>
<p>write-host "the snapshot is "$diff.dayofyear "days"</p>
<p>write-host "delete"</p>
<p>$pageblob.ICloudBlob.Delete()</p>
<p>}else</p>
<p>{</p>
<p>write-host "the snapshot is "$diff.dayofyear "days"</p>
<p>Write-Host "not delete snapshot"</p>
<p>}</p>
<p>}else</p>
<p>{</p>
<p>write-host "is not snapshot, do not delete"</p>
<p>}</p>
<p>}</p>
<p>}</p>
<p>3.恢复7天前的Snapshot</p>
<p>$StorageAccount = "XXXX"</p>
<p>$StorageKey = "XXX=="</p>
<p>$Ctr = New-AzureStorageContext -StorageAccountName $StorageAccount -StorageAccountKey $StorageKey</p>
<p>$SrcContainer = "container1"</p>
<p>$DestContainer = "container2"</p>
<p>$blobname ="xxx.vhd"</p>
<p>$Date=date</p>
<p>$DestBlob = "R"+$Date.DayOfYear+$blobname</p>
<p>$DayOfYear = 7</p>
<p>$times = Get-AzureStorageBlob -Container $SrcContainer | Where-Object {$_.Name -match "xxx.vhd" } | Select -ExpandProperty SnapshotTime</p>
<p>foreach($time in $times)</p>
<p>{</p>
<p>if ($time.DayOfYear -eq $DayOfYear)</p>
<p>{</p>
<p>$snaptime = $time</p>
<p>}</p>
<p>else</p>
<p>{</p>
<p>continue</p>
<p>}</p>
<p>}</p>
<p>$srcsnap = Get-AzureStorageBlob -Container $SrcContainer | Where-Object {$_.SnapshotTime -eq $snaptime}</p>
<p>Start-AzureStorageBlobCopy -CloudBlob $srcsnap.ICloudBlob -DestContainer $DestContainer -DestBlob $DestBlob</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 11:36:21 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Azure blob Storage Snapshot的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0l5aNX3.html" rel="bookmark">Azure Blob Storage从入门到精通</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天推荐的是一个系列文章,让读者阅读完成后可以对Azure Blob Storage的开发有一个全面的了解,可谓是从入门到精通. Azure在最初的版本里面就提供了非结构化数据的存储服务,也即Blob Storage.其是Azure中非常重要和基础的一项服务,支撑着很多其他服务的运行(比如虚拟机等).前不久Azure出现故障,就是Blob Storage导致的. Robin Shahan(女程序猿)发表了一个系列文章,全面的介绍Azure Blob Storage的开发.这个系列文章分为10个部			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lk7vWM.html" rel="bookmark">Python 操作 Azure Blob Storage</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				笔者在&lt;Azure 基础:Blob Storage&gt;一文中介绍了 Azure Blob Storage 的基本概念,并通过 C# 代码展示了如何进行基本的操作.最近笔者需要在 Linux 系统中做类似的事情,于是决定使用 Azure 提供的 Azure Storage SDK for Python 来操作 Blob Storage.这样今后无论在 Windows 上还是 Linux上,都用 Python 就可以了.对 Azure Blob Storage 概念还不太熟悉的同学请先参考前文. 安			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0a251q3.html" rel="bookmark">presto访问 Azure blob storage</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				当集群使用Azure Blog Storage时,prestoDB无法获取返回结果,在此记录下 如下,hive里面的两个表,一个使用的是本地的hdfs,一个是使用 azure blob storage, presto 能访问到hive里面的所有表结构,能查询本地hdfs的hive表,如下: 在返回查询数据时,本地hdfs 存储正常 存储在azure blob storage上的数据返回异常,如下: 问题待解决中....... 收集资料: http://stackoverflow.com/ques			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MDDbKwM.html" rel="bookmark">DW&lpar;六&rpar;&colon;polybase访问Azure Blob Storage</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目录: 连接hadoop配置语法 配置hadoop连接 Pushdown配置 Create external tables for Azure blob storage 连接hadoop配置语法: global configuration settings for PolyBase Hadoop and Azure blob storage connectivity, Syntax: sp_configure:  List all of the configuration options 配置与			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xvakB4.html" rel="bookmark">将数据库备份到AZURE blob storage</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1创建一个Storage Account 1)点击Browse-&gt;Storage accounts 2) 填写Storage account,请记住这个名字,之后创建credential需要用到. 3)点击Create. 一般等待一段时间就好了 2 创建container 1)All resources-&gt;Blobs 2)在Blob service页面,点击创建一个新的containers. 3)Container的url需要记住,在备份的时候需要指定 3 创建credential 1) Al			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0nPqN74.html" rel="bookmark">基于Azure blob storage T级别HBase表恢复</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				为减少Hbase集群压力,提高性能,我们将HBase库中的数据移到另外的存储,下面记录当我需要对数据进行计算时,数据恢复的过程 目录: Azure storage explorer 工具 数据复制 元数据修复 测试验证 Azure Storage Explorer工具 免费工具下载地址:http://storageexplorer.com/ 本地安装后,连接至Azure存储,如下图: 说明: 源存储和目标存储所属同一区域时,复制性能更佳,同时注意一下,我使用的storage explorer比较			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3OKAn83.html" rel="bookmark">Windows Azure - Error of &amp;quot&semi;MEDIA12899&colon; AUDIO&sol;VIDEO&colon; Unknown MIME type&amp;quot&semi; and Blob Storage</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				We have a Azure website using JPlayer to play audio/video (mp3 or mp4) stored in Azure Blob storage. Some media is playing well, while some never play on Windows 7 IE 11 with below console error: MEDIA12899: AUDIO/VIDEO: Unknown MIME type Then we not			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4Qvpm2M.html" rel="bookmark">一个使用微软Azure blob实现文件下载功能的实例-附带源文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Running the sample Please follow the steps below. Step 1: Open the CSAzureServeFilesFromBlobStorage.sln as Administrator. Expand the CSAzureServeFilesFromBlobStorage application and set CSAzureServeFilesFromBlobStorage azure application as the startu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzDDyl3.html" rel="bookmark">Azure File Storage 基本用法 -- Azure Storage 之 File</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Azure Storage 是微软 Azure 云提供的云端存储解决方案,当前支持的存储类型有 Blob.Queue.File 和 Table. 笔者在&lt;Azure Blob Storage 基本用法&gt;中介绍了 Blob Storage 的基本用法,本文将介绍 File Storage 的主要使用方法. File Storage 是什么? Azure File Storage 是一个通过 Server Message Block (SMB) 协议提供云端文件共享的服务.通过 File Stor			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLJZ1e3.html" rel="bookmark" class="title">Sort</a>
					<div>
						*/--&gt; Sort 1 Sort Select sort is the simplest sorting alogrithms. 1.1 IDEA 1.find the smallest el ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dgrreM.html" rel="bookmark" class="title">JS 对文本框指定焦点差入值</a>
					<div>
						参考文章:http://www.111cn.net/wy/js-ajax/52270.htm 这种方法可行. 通过上面的我们就可以将DIV中的光标移动到最后面了 一个完整的实例  代码如下 复制代码  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qoQLGM.html" rel="bookmark" class="title">HDU4565 So Easy&excl;</a>
					<div>
						1 /* 2 HDU4565 So Easy! 3 http://acm.hdu.edu.cn/showproblem.php?pid=4565 4 数论 快速幂 矩阵快速幂 5 题意:求[(a+sq ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YGX2J4.html" rel="bookmark" class="title">l1-016</a>
					<div>
						一个合法的身份证号码由17位地区.日期编号和顺序编号加1位校验码组成.校验码的计算规则如下: 首先对前17位数字加权求和,权重分配为:{7,9,10,5,8,4,2,1,6,3,7,9,10,5,8, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dxXkn0.html" rel="bookmark" class="title">解决Win7&amp;amp&semi;Win8 64位下Source Insight提示未完整安装的问题&lbrack;转&rsqb;</a>
					<div>
						转自:http://www.cnblogs.com/sixiweb/p/3421533.html 网上的破解版的注册表文件都是针对32位系统的,所以在64位系统里运行根本无法破解.下面分别贴出这俩系统 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xRaA74.html" rel="bookmark" class="title">hdu 1087 Super Jumping&excl; Jumping&excl; Jumping&excl;（动态规划DP）</a>
					<div>
						题目链接:http://acm.hdu.edu.cn/showproblem.php?pid=1087 Super Jumping! Jumping! Jumping! Time Limit: 200 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pRbLw0.html" rel="bookmark" class="title">GCD的部分总结</a>
					<div>
						GCD是基于C语言的底层API,用Block定义任务用起来非常灵活便捷. GCD的基本思想是就将操作放在队列中去执行 (1)操作使用Blocks定义 (2)队列负责调度任务执行所在的线程以及具体的执行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kDqeb3.html" rel="bookmark" class="title">JsonCpp在vs中使用</a>
					<div>
						Jsoncpp是c++生成和解析Json数据的跨平台开源库.下面简介如何在vs中使用. 1.官网下载.https://sourceforge.net/projects/jsoncpp/解压文件得到js ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e5k7g0.html" rel="bookmark" class="title">模拟网页启动页</a>
					<div>
						&lt;!DOCTYPE html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;meta charset=&quot;UTF-8&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ORgOP0.html" rel="bookmark" class="title">平台中构建业务表时报sql语法错误</a>
					<div>
						今天在构建一个只读业务表时,保存的时候报了下图中的这个错误:  一开始还以为自己代码写错了,于是将代码复制到平台中sql执行界面运行:发现是运行成功的: 那这是怎么回事呢? 初步分析是代码中空格打的不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MERdPZ0.html" rel="bookmark" class="title">学iOS开发（二）&mdash;&mdash;实现一款App之编写自定义类</a>
					<div>
						今天学iOS开发(二)--实现一款App之编写自定义类 当开发iOS应用程序时,你会发现在许多场景下,你需要编写自己的自定义类.当你需要数据和自定义行为一起打包时,自定义类就很有用了.在一个自定义的类 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/022mmE0.html" rel="bookmark" class="title">video标签如何只把全屏按钮给去掉？？？？</a>
					<div>
						yourelelment video::-webkit-media-controls-fullscreen-button { display: none; } 或用DIV,屏蔽控制条!					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MV75Qj0.html" rel="bookmark" class="title">走进大企业-虚拟化技术实践</a>
					<div>
						虚拟化介绍(上)					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dRg5g4.html" rel="bookmark" class="title">zabbix企业应用之监控动作是否有被关闭</a>
					<div>
						当前我监控1000+的服务器,动作有近200个,监控方式有短信.邮件与语音报警电话,如果动作配置有问题或者某个动作被关闭,就会导致某些报警无法触发,不能及时收到报警通知并处理.而且zabbix配置用户 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41wWlO0.html" rel="bookmark" class="title">linux内核dm thin pool分析</a>
					<div>
						一.简介 Docker现在非常火热,作为docker存储引擎之一的dm thin pool用的比较多,thin-pool由一个metadata设备和data设备组成,thin的概念就是按需分配数据块, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDN6Xn3.html" rel="bookmark" class="title">获取屏幕高度，兼容性问题解决</a>
					<div>
						做手机Web开发做浏览器兼容用到了,所以在网上找了些汇总下. alert($(window).height()); //浏览器当前窗口可视区域高度 alert($(document).height() ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Moo9wBM.html" rel="bookmark" class="title">Maven错误 diamond operator is not supported in -source 1&period;5   &lpar;use -source 7 or higher to enable diamond operator&rpar;问题解决</a>
					<div>
						如果在Maven构建时出现: diamond operator is not supported in -source 1.5 (use -source 7 or higher to enable d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pk1eK3.html" rel="bookmark" class="title">android ContentObserver</a>
					<div>
						android 设置飞行模式  :  长按关机键 3 秒. 工作中,需要开启一个线程大量的查询某个数据库值发送了变化,导致的开销很大,后来在老大的指点下,利用了 ContentObserver完美的解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGe8Ry3.html" rel="bookmark" class="title">Android&lowbar;程序结构分析</a>
					<div>
						一.Android程序运行过程 二.Android项目结构  					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NQ1Z63.html" rel="bookmark" class="title">每一代移民都踏空中国，当代留学生不要错过中国</a>
					<div>
						能在美国读书,都是中国人里面最精英的,你们这一代人里面的佼佼者现在就坐在这里.我想跟大家说的是,不要踏空中国,不要错失中国.90年代初,我读研究生的时候,很多同学出国.哪个男生托福考了660要出国了, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
